<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title>index.html</title>
    <style type="text/css">
        .index {font-style:italic;}
        .dir {font-weight:bold;}
        .disabled a {color:#777;}
        .filelist {font-family:monospace;}
    </style>
</head>
<body>
    <h1>index.html</h1>
    <p>This is the index file for smoketest files. This root directory is
        explicitly allowed and does not allow recursion.</p>
    
    <h2>Procedures</h2>
    <ol>
        <li>Delete index.html, load page in browser. Expect: Fully formed page</li>
        <li>Run `php update.php clean`. Expect: All html pages gone</li>
        <li>Run `php update.php normal`. Expect: No updates</li>
        <li>Run `php update.php all`. Expect: All html pages generated</li>
        <li>Touch index.xhtml source file, run `php update.php normal`. Expect: index.html updated</li>
        <li>Run `php update.php clean`, then visit each active page. Expect: all pages fully formed</li>
    </ol>
    
    <h2>Files</h2>
    <!-- this needs to be reimplemented using XHTML Compiler functionality -->
    <ul class="filelist">
        <li><a href="(special)/" class="dir">(special)/</a><ul>
            <li><a href="(special)/index.html" class="index">index.html</a> (<a href="(special)/index.xhtml">src</a>)</li>
        </ul></li>
        <li><a href="DOMFilter/" class="dir">DOMFilter/</a><ul>
            <li>...</li>
        </ul></li>
        <li><a href="TextFilter/" class="dir">TextFilter/</a><ul>
            <li>...</li>
        </ul></li>
        <li class="disabled"><a href="private/" class="dir">private/</a><ul>
            <li><a href="private/index.html" class="index">index.html</a> (<a href="private/index.xhtml">src</a>)</li>
        </ul></li>
        <li><a href="recursive/" class="dir">recursive/</a><ul>
            <li><a href="recursive/subdir/" class="dir">subdir/</a><ul>
                <li><a href="recursive/subdir/index.html" class="index">index.html</a> (<a href="recursive/subdir/index.xhtml">src</a>)</li>
            </ul></li>
            <li><a href="recursive/index.html" class="index">index.html</a> (<a href="recursive/index.xhtml">src</a>)</li>
        </ul></li>
        <li><a href="entities.html">entities.html</a> (<a href="entities.xhtml">src</a>)</li>
    </ul>
    
    
</body>
</html>
